Bug 517740 - Upgrading F10 x86_64 system to F11 fails: cannot find metalink.xml
Summary: Upgrading F10 x86_64 system to F11 fails: cannot find metalink.xml
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:a841cd5a8c6a4bb25...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-16 14:15 UTC by Ed Avis
Modified: 2009-11-03 09:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-08 15:14:53 UTC


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (172.29 KB, text/plain)
2009-08-16 14:15 UTC, Ed Avis
no flags Details
Attached traceback automatically from anaconda. (355.77 KB, text/plain)
2009-08-16 14:26 UTC, Ed Avis
no flags Details
Attached traceback automatically from anaconda. (149.85 KB, text/plain)
2009-08-29 02:00 UTC, lynn evan sorenson
no flags Details
Attached traceback automatically from anaconda. (63.35 KB, text/plain)
2009-11-03 08:50 UTC, Sam
no flags Details

Description Ed Avis 2009-08-16 14:15:44 UTC
The following was filed automatically by anaconda:
anaconda 11.5.0.59 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.6/site-packages/yum/metalink.py", line 184, in __init__
    raise MetaLinkRepoErrorParseFail, "File %s does not exist" %filename
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 667, in _getMetalink
    self._metalink = metalink.MetaLinkRepoMD(self.metalink_filename)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 671, in <lambda>
    metalink_data = property(fget=lambda self: self._getMetalink(),
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 578, in _baseurlSetup
    mirrorurls.extend(list(self.metalink_data.urls()))
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 624, in _geturls
    self._baseurlSetup()
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 627, in <lambda>
    urls = property(fget=lambda self: self._geturls(),
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 479, in _setupGrab
    self._grab = mgclass(self._grabfunc, self.urls,
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 490, in _getgrab
    self._setupGrab()
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 495, in <lambda>
    grab = property(lambda self: self._getgrab())
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 766, in _getFile
    result = self.grab.urlgrab(misc.to_utf8(relative), local,
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1469, in _retrieveMD
    cache=self.http_caching == 'all')
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1504, in getGroups
    return self._retrieveMD('group_gz', retrieve_can_fail=True)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 622, in _getGroups
    groupfile = repo.getGroups()
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 662, in <lambda>
    comps = property(fget=lambda self: self._getGroups(),
  File "/usr/lib/anaconda/yuminstall.py", line 1047, in doGroupSetup
    sel = filter(lambda g: g.selected, self.ayum.comps.get_groups())
  File "/usr/lib/anaconda/yuminstall.py", line 1038, in doBackendSetup
    self.doGroupSetup(anaconda)
  File "/usr/lib/anaconda/backend.py", line 271, in doBackendSetup
    if anaconda.backend.doBackendSetup(anaconda) == DISPATCH_BACK:
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1339, in nextClicked
    self.anaconda.dispatch.gotoNext()
MetaLinkRepoErrorParseFail: File /mnt/sysimage/var/cache/yum/updates/metalink.xml does not exist

Comment 1 Ed Avis 2009-08-16 14:15:58 UTC
Created attachment 357577 [details]
Attached traceback automatically from anaconda.

Comment 2 Ed Avis 2009-08-16 14:26:00 UTC
Created attachment 357578 [details]
Attached traceback automatically from anaconda.

Comment 3 Ed Avis 2009-08-16 14:53:55 UTC
As you can see from the two tracebacks, I hit this error twice.  Both times were trying to upgrade an x86_64 Fedora 10 system to Fedora 11 using the x86_64 install DVD.  The first time I was trying to 'upgrade' but the second time I chose to 'install' a new system, though without reformatting the root filesystem.

I was particularly surprised that even when I chose 'install', not 'upgrade', it was still trying to find /mnt/sysimage/var/cache/yum/updates/metalink.xml.  Surely an 'install', even if you choose not to format the destination filesystem first, should simply add and overwrite files.  It should never try to read any existing file on the filesystem.

Comment 4 Joel Andres Granados 2009-08-17 09:50:49 UTC
Ed:
I recently performed a successful upgrade to f12 (rawhide) from f10.  Could you pls try this option to see if it works for you?

Comment 5 Ed Avis 2009-08-23 15:04:33 UTC
I can't do the F10 -> F12 upgrade on the same PC, since it is in use.
I could pick a random test machine and perform the F10 -> F12 upgrade, but
that would be just the same as you doing it, which you've already done.

Comment 6 Andy Lindeberg 2009-08-24 13:55:58 UTC
Can you at least try it on another machine? You know exactly what you did, so might have more luck reproducing than we would.

Comment 7 lynn evan sorenson 2009-08-29 02:00:59 UTC
Created attachment 359133 [details]
Attached traceback automatically from anaconda.

Comment 8 Ed Avis 2009-09-02 13:48:29 UTC
If I can find a spare machine I'll try again.  However, 'exactly what I did'
is just a completely vanilla upgrade.  Put the DVD in the drive, boot, press
Enter when prompted.  The only step that required any brainpower was to choose
whether to 'upgrade' or 'install', and I saw the same crash with both.

If I try the F10 -> F12 upgrade on a different machine and it works, that won't
really say anything about this bug, which relates to the F10 -> F11 upgrade.

Comment 9 Joel Andres Granados 2009-09-03 08:31:46 UTC
(In reply to comment #8)
...
> 
> If I try the F10 -> F12 upgrade on a different machine and it works, that won't
> really say anything about this bug, which relates to the F10 -> F11 upgrade.  

This is true.  But, unlike a regular package that can be changed and pushed to updates, an anaconda fix will not make it to the distribution via updates.  For the anaconda fix to make it to f11, we would have to create new media, new isos, new trees and that would mean creating a whole new distribution, an f11.1 if you will.  This is the reason we should concentrate on bugfixes in rawhide, when it comes to anaconda.  In this particular case, we should concentrate on upgrades from f9 (But that is about to die), f10, f11 to f12.

Comment 10 Ed Avis 2009-09-06 11:32:08 UTC
OK.  If nobody else is seeing the same bug, and the machine that I saw it on is out of action, then I guess we'll just have to mark this as 'worksforme'.

However, I think it is worth checking one thing: when choosing to do a fresh install, whether or not the filesystem is formatted first, *no existing file* on the filesystem should be read or even checked for by the installer.  Any case where it tries to read an existing file (not just metalink.xml, but anything that happens to be on the partition) in 'install' mode indicates a likely bug.  So perhaps Anaconda could be modified to log a warning or an assertion failure whenever this happens.  In install mode, it can open files for writing but not for reading!

Comment 11 Joel Andres Granados 2009-09-08 15:14:53 UTC
The string metalink.xml does not appear in the anaconda srcs.  It could be that anaconda is causing the issue with some other call. but without further testing its hard to pinpoint the issue, if it is present at all in rawhide.

Comment 12 Sam 2009-11-03 08:50:33 UTC
Created attachment 367271 [details]
Attached traceback automatically from anaconda.

Comment 13 Sam 2009-11-03 09:00:07 UTC
I hit this bug when upgrading from FC10 to FC11 on an i386 machine.  I have no idea how to deal with it, but I can wait until FC12 comes out and see if an upgrade from FC10 to FC12 flies.


Note You need to log in before you can comment on or make changes to this bug.